Ubuntu

iwlagn causes kernel panic on 802.11n wifi

Reported by syko21 on 2008-10-02
296
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Critical
Release Notes for Ubuntu
Undecided
Unassigned
Mandriva
Unknown
High
linux (Ubuntu)
Undecided
Tim Gardner
Declined for Hardy by Steve Langasek
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Tim Gardner
linux-backports-modules-2.6.27 (Ubuntu)
High
Unassigned
Declined for Hardy by Steve Langasek
Intrepid
Undecided
Unassigned
Jaunty
High
Unassigned

Bug Description

I don't know the specific trigger but in my testing with intrepid over the last few weeks I have found a large amount of kernel panics when connected to my 802.11n router with an intel 4965 card. This issue does not at all appear when I use an 802.11b/g network which is what I use exclusively at my university (student during the day). At one point my system had 4 kernel panics in 2 hours all while using network intensive applications (apt, firefox, terminal server client).

I've tried the REISUB magic keys several times but its a completely dead machine. However, I have found something that works and I think it should be added to the official repository, the Oct-1-2008 compat-wireless iwlagn module fixes the kernel panic issue. I've left my machine on for an extended period of time in the same conditions that used to kernel panic before and so far all is good. I understand we are nearing the end of the road and only major showstoppers should be included for release but I feel this warrants such consideration.

Chris Halse Rogers (raof) wrote :

Thank you for reporting this bug, and helping to make Ubuntu better. In order to make it easier for the kernel team to handle this bug, could you please attach at least the "Minimal information" from https://wiki.ubuntu.com/KernelTeamBugPolicies ?

A picture of the panic would also be nice, but if you can't get that then the above information would still be useful.

Mackenzie Morgan (maco.m) wrote :

Kernel panicking on Intel's newest wireless chip, marking this as High importance.

Changed in linux:
importance: Undecided → High
syko21 (syko21) wrote :
syko21 (syko21) wrote :
syko21 (syko21) wrote :
syko21 (syko21) wrote :
Neil Cawse (neilcawse) wrote :

I have a dell XPS M1530 running iwlagn driver and after upgrading from Hardy to Intrepid Beta, i get kernel panics when wifi is busy. It seems to be triggered much more frequently in certain environments with heavy wifi traffic. In this case I always get a kernel panic 20 seconds after boot up but in other busy environments it may take hours.
It may thus depend on whether it is 802.11n or g traffic.
Id be surprised if this isnt a widespread problem.

syko21 (syko21) wrote :

Try compiling this iwlagn module, http://www.orbit-lab.org/kernel/compat-wireless-2.6/2008/10/compat-wireless-2008-10-01.tar.bz2 .
Extract the archive to your home directory then follow these steps

sudo apt-get install build-essential
cd compat*
make
sudo make install

Then restart your computer. It worked perfectly for me, if it works for more people perhaps the default ubuntu module will be upgraded.

PS> I was not able to test on 802.11g since I only use n and b.

Michael Rooney (mrooney) wrote :

Confirming based on Neil's input!

Changed in linux:
status: New → Confirmed
Ivan Razumov (iarspider) wrote :

Still happens with latest kernel.

Ivan Razumov (iarspider) wrote :

Still happens with latest kernel modules (yet to try the method by syko21)

Changed in linux:
assignee: nobody → ubuntu-kernel-team

Hi Guys,

Would one of you be able to capture the actual panic you are witnessing and post it to this bug report? Even if you have to take a digital photo of your screen and attach the photo here that would be most helpful. Otherwise it's rather difficult to debug. Can you also make sure you are running the latest 2.6.27-6 kernel. Thanks.

syko21 (syko21) wrote :

It is awkward to capture since my screen simply freezes on whatever it was doing (running apt, downloading in firefox, using samba shares, etc) so I don't really know how it will help you. If there is a method to retrieve log files or something along those lines then please direct me to those instructions and I will try to get them here ASAP.

Mackenzie Morgan (maco.m) wrote :

Leann,
What do you suggest syko21 try to capture? Kernel panics don't show up in logs. Kernel panics don't print anything to the screen. They just lock the system up and force you to hold down the power button.

If syko21 somehow has found a computer so ancient it has a serial port yet so very very new it has Intel 4965, and s/he owns a serial console...then, maybe they could catch an error. That hardware combination though? I really doubt it exists. I can't debug my Hardy kernel panics for the same reason.

Kernel panics will generally dump _something_ to the (real) terminal.
The way to try and grab this would be to switch to a VT (with ctrl+alt
+F1) and wait for the kernel to die, then take a photo.

I seem to recall something about there being work to enable panics to be
visible while in X, but can't place it.

Hi syko21,

As Chris mentioned, the kernel panic will usually be dumped to the terminal window. You may also want to check if it may have been captured at /var/log/kern.log or /var/log/kern.log.0 . However I've also spoken with the Ubuntu kernel team and they are currently doing a backport to pull in an updated wireless stack. So based syko21's comment "the Oct-1-2008 compat-wireless iwlagn module fixes the kernel panic issue" I'm hopeful this backport should resolve this issue. I'll try to update this report when the package is available for testing. Thanks.

Keithamus (keithamus) wrote :

I don't know if it is helpful now, but I managed to get a capture of the panic (ironically while downloading the module in the comments above)

Keithamus (keithamus) wrote :

Would just also like to point out that I tried the patch syko21 suggested, and I got kernel panics on every boot. Had to boot into recovery and make uninstall.

Sorry, I wasn't able to catch the panic for that one, as I couldn't get into tty1 before it crapped out.

syko21 (syko21) wrote :

Sorry about that Keithamus, perhaps a newer version would work better for you. I updated mine to see if it was just a particular build that solved my problem but the one I download on Oct 9th works too. Maybe that one will let you boot normally.

junior (olav-ekkje) wrote :

I believe it's the same thing happening to me now. I've moved to some friends with a n-network, and suddenly I got alot of cernel panics. I killed gdm and switched to terminal, and got to take this picture of the screen. Hope this helps....

Keithamus (keithamus) wrote :

Just tried newer versions of the patch and still get panics, perhaps I'm compiling it incorrectly. Tried the 9th and 10th oct versions, as I say, still with panics.

Jerone Young (jerone) wrote :

I am also seeing this issue on my Thinkpad T61 with Intel Wireless WiFi Link 4965AGN REV=0x4 when I connect to my WRT600N with 802.11n on 5ghz band. Will get a term hooked up and try to get a dump. The screen shots posted are not showing the entire dump, and it is not making it to logs. Complete hard lockup after a little time connected to 802.11n 5gz.

Though it does not do this when connected to the 2.4ghz band connected via 802.11b or 802.11g.

Jerone Young (jerone) wrote :

linux-backports-modules 2.6.27-6.1 appears to fix this issue. I've run some large file transfer tests that easily caused the iwlagn module that comes with the kernel now to crash. But now running those tests with linux-backports-modules installed I no longer see the issue, and it doesn't crash at all.

I think most would prefer a non crashing module be apart of the regular kernel and not backports though. Hopefully later this week I'll have time to get a serial cable and see the crash

I was unable to get the kernel dump from the iwlagn driver as I really need a thinkpad docking station and getting kernel output out of USB serial ports seems like an impossible task.

Neil Cawse (neilcawse) wrote :

Thanks syko21, installing a recent iwlagn module does fix it for me.
Each time Ubuntu updates the kernel, I have to make / make install or the random crashes return.
Crashing on the latest update 2.6.27-7 without the update.
My kernel dumps looks same as others but Ive attached anyway.

junior (olav-ekkje) wrote :

How do I install the backported modules? I have added the backport repo, but what's the package I need? I'm eager to get the wifi working

Mackenzie Morgan (maco.m) wrote :

On Mon, 2008-10-13 at 15:45 +0000, junior wrote:
> How do I install the backported modules? I have added the backport repo,
> but what's the package I need? I'm eager to get the wifi working

I don't think you need the backports repo to get linux-backports-modules
That should be in Main.

Tv (tv42) wrote :

Running linux-backports-modules-2.6.27-6-generic 2.6.27-6.1 and linux-image-2.6.27-7-generic 2.6.27-7.10, still getting crashes.

syko21 (syko21) wrote :

Tv, try compiling the Oct-1 module manually using my instructions from the above post.

junior (olav-ekkje) wrote :

It's not any danger compiling this yourself with regards to the e1000e problems?

syko21 (syko21) wrote :

junior, the e1000e problem was due to the module writing to part of the EEPROM that it should not have been touching. The iwlagn module is fully open sourced and has been for a few kernel versions now allowing for a lot of eyes to look for any bugs. I hesitate to say there is 0 risk with bleeding edge software, but as it stands right now the only problem you may have is software based system instability at the very worst, and that can be corrected by uninstalling the module.

junior (olav-ekkje) wrote :

Well, I tried the module, and it won't connect to my wireless network.. To bad!

junior (olav-ekkje) wrote :

And how do I remove this module? I tried sudo make unistall, didn't work. Where are the modules located?

Tv (tv42) wrote :

I can confirm that the drivers at http://www.orbit-lab.org/kernel/compat-wireless-2.6/2008/10/compat-wireless-2008-10-01.tar.bz2 make all my crashes go away, on my Thinkpad T61. Haven't tested with 802.11n yet, but I had frequent crashes with just 802.11g (there was a 802.11n AP close by, but I wasn't using it), and now I haven't had a crash in 1 hour of active file transfer.

For just iwlagn, you may want to edit the Makefile in the above tarball, you don't need to stuff in /usr/lib. Littering is a bad habbit.

Winckler (winckler) wrote :

I have the same bug here (and didn't test any new drive) but I would like to share a WORKAROUND, while the bug isn't fixed.

If you load the iwlagn with the option 11n_disable, you disable the N standard, and avoid the kernel panic.

I've add 'options iwlagn 11n_disable=1' to my /etc/modprobe.d/options. So far, so good.

I want this fixed for the Intrepid release, but if it's not possible, I would consider add this workaround enable by default.

junior (olav-ekkje) wrote :

Sorry, a typo, sudo make uninstall works fine. But the problem is to unload mac80211 and cfg80211, it says the modules are in use. But anyways, I'll try the disable option you mentioned Winckler!

UnSandpiper (aybora) wrote :

Winckler, I've tried your suggestion, but I got a kernel panic within few minutes.

Also, like Tv, I'm not even connecting to a 802.11n AP.
iwconfig tells me: wlan0 IEEE 802.11abg ESSID:"xxxxx"

junior (olav-ekkje) wrote :

Winckler, it works for me!! :)

junior (olav-ekkje) wrote :

No, it worked BETTER, but it didn't fix it. After starting Vuze and downloaded some torrents, it paniced again! Would be greatfull if someone could explain how to unload the mac80211 and cfg802 modules and use the compiled ones?

syko21 (syko21) wrote :

junior, if you unload iwlagn then cfg80211 then mac80211 it will work. Its a dependency issue with the modules. However the modules get rewritten right after you use the sudo make install command. The only reason you don't see the effect immediately is because the old modules were read in during the boot up sequence and are stored safely in the RAM. If you restarted then it won't make a difference if you reload those modules.

I will test my machine with a lot of torrents at once later today to see if I can reproduce the issue though.

junior (olav-ekkje) wrote :

It was Wincklers fix that didn't work with alot of network traffic. Now I've installed the 10.10 modules, but something in yesterdays update broke my wireless completely somehow, so I don't know the result yet

Steve Langasek (vorlon) on 2008-10-23
Changed in linux-backports-modules-2.6.27:
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2008-10-23
Changed in ubuntu-release-notes:
status: New → Fix Released
Changed in linux:
status: Unknown → In Progress
Tom Jaeger (thjaeger) on 2008-10-31
Changed in linux:
status: New → Confirmed
Tim Gardner (timg-tpi) on 2008-11-04
Changed in linux:
assignee: nobody → timg-tpi
status: Confirmed → Fix Committed
status: New → Fix Committed
assignee: nobody → timg-tpi
Changed in linux:
status: In Progress → Fix Released
115 comments hidden view all 195 comments

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

kolja_gava (kolja-bgblog) wrote :

Hi all,
I got same problem.
i did some test changing setting on my wireless router , and this seams did the trick
especially i set up "Dynamic Ruote" from "RIP2-B" to "RIP2-M".
hope this may help
regards
  kolja

H0L7 sfpcr (h0l7-edge) wrote :

thank you skyo you are a life saver

Steve Langasek (vorlon) wrote :

Tim, is this bug fixed in the jaunty kernel? It's been marked 'fix committed' for over two months now.

Steve Langasek wrote:
> Tim, is this bug fixed in the jaunty kernel? It's been marked 'fix
> committed' for over two months now.
>

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=55d6a3cd0cc85ed90c39cf32e16f622bd003117b

Steve Langasek (vorlon) wrote :

Tom,

I'm sorry, does that mean the bug is fixed in jaunty or that it isn't? I'm not a kernel developer, I don't have a local git checkout of the linux tree, and I don't see an easy way to go from a commit ID to an answer "what kernel release is this change included in" without one. For that matter, the commit you cited talks about downgrading the BUG_ON to something that can be captured, so it's not clear to me that this resolves the real issue at all.

So I don't see that this brings me any closer to answering the question of whether this bug should be marked as fixed in jaunty, or if this needs to be on the release team's watch list.

Tom Jaeger (thjaeger) wrote :

Steve Langasek wrote:
> I'm sorry, does that mean the bug is fixed in jaunty or that it isn't?
> I'm not a kernel developer, I don't have a local git checkout of the
> linux tree, and I don't see an easy way to go from a commit ID to an
> answer "what kernel release is this change included in" without one.

Yes, it is part of the 2.6.28 release, having been committed to Linus'
tree in Sep 08. It's also in 2.6.27.x, by the way.

> For that matter, the commit you cited talks about downgrading the BUG_ON
> to something that can be captured, so it's not clear to me that this
> resolves the real issue at all.

From a user's perspective it doesn't make a difference if the patch
fixes the underlying issue or if it's "just" a workaround. What does
matter is that the fix has gotten a good amount of testing and is
confirmed to work.

This turned out to be a bug in the 4965's firmware, so the "proper" fix
is in jaunty since linux-firmware 1.3.

> So I don't see that this brings me any closer to answering the question
> of whether this bug should be marked as fixed in jaunty, or if this
> needs to be on the release team's watch list.

Well, it certainly should be (along with bug #286285) on the list for
intrepid.

James Ward (jamesward) wrote :

I have linux-firmware 1.5 on Jaunty and I am still getting frequent kernel panics related to iwlagn. They usually happen within minutes of booting and only happen when the kill switch is off.

Steve Langasek (vorlon) wrote :

Ok, marking fixed for jaunty. Thanks for the explanation!

Changed in linux:
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

James,

Do the kernel panics crash the machine, or are you able to capture one and post it here to the bug?

If this is ultimately a firmware bug, we should probably also open a task on linux-firmware -- though I would hope the kernel driver could be made more resilient against firmware bugs, too.

James Ward (jamesward) wrote :

@Steve

Doesn't "fixed" usually mean the kernel panics have stopped? :)

syko21 (syko21) wrote :

@James Ward

THIS bug is fixed. The issue you are talking about is a completely different bug altogether. I reported this bug several months ago because I found stability issues AFTER connecting to wireless networks, not while the hardware was powered off or the power switch was set to off. I recommend you try finding out as much information as possible about your situation and post a separate bug report.

Steve Langasek (vorlon) wrote :

On Thu, Jan 29, 2009 at 01:10:14AM -0000, James Ward wrote:
> Doesn't "fixed" usually mean the kernel panics have stopped? :)

Yes, but it's not altogether clear that your panics are the same as the ones
in this bug. You mention booting with the killswitch off, whereas this bug
is about a panic when associating - if the antenna is off, you certainly
wouldn't be associating, so yours is probably a different bug.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

James Ward (jamesward) wrote :

Hi Steve,

Yes. My machine (Jaunty updated 30 minutes ago) locks up a few minutes after booting if the kill switch is not on. If I instantly rmmod iwlagn then I can use it for days without lockup. So this is certainly a iwlagn kernel panic.

I have no idea how to get any details as to what is causing the kernel panic. Any pointers would be appreciated.

The bug description "iwlagn causes kernel panic on 802.11n wifi" fits my problem. So unless linux-firmware 1.3 fixed other people's kernel panics then it doesn't seem this bug is really fixed.

Mackenzie Morgan (maco.m) wrote :

James:
The kernel panics that happen when the killswitch is disabled (so
networking is enabled) and 802.11n is in use have stopped. Your kernel
panics, which you say occur when networking is disabled in hardware are
something new.

Mackenzie Morgan (maco.m) wrote :

Are you or are you not associated to an 802.11n network? Your
description sounds like you are *not* online, so while the same module
may be to blame, it would be a different bug than one that occurs only
when using 802.11n to get online.

James Ward (jamesward) wrote :

Sorry to not be clear. My kernel panics happen when my iwlagn is on and connected to an AP.

So how do I get more information about what is causing my kernel panic?

Steve Langasek (vorlon) wrote :

If the system is hard locking, your best option is to switch to the console with Ctrl+Alt+F1 immediately after boot, wait for the panic, and then take a photograph of the resulting kernel panic.

Mackenzie Morgan (maco.m) wrote :

Is your AP using 802.11n or 802.11g or mixed mode or....you get the
picture?

Michael Rooney (mrooney) wrote :

On Wed, Jan 28, 2009 at 5:41 PM, James Ward wrote:

> Sorry to not be clear. My kernel panics happen when my iwlagn is on and
> connected to an AP.
>

I think your language "killswitch is off" was confusing some people :) I
assume by that you meant the killswitch was not enabled, ie the wireless was
not disabled, ie it was on.

James Ward (jamesward) wrote :

Ok. Got the picture, but I couldn't get the whole message. I'll try again with a different vga boot parameter. But I've attached what I have so far.

My AP is mixed mode G and N.

Steve Langasek (vorlon) wrote :

James,

Your backtrace corresponds to that seen by Zizzle (in
<https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.27/+bug/276990/comments/87>) modulo kernel version differences, but not with any of the other kernel panics shown in this bug report or the ones I can find being discussed upstream. I would suggest filing a new bug report and attaching your screenshot, so that this crash can be traced separately - it does appear that the problem has been addressed for most users.

James Ward (jamesward) wrote :

I've created a new big with the whole kernel panic message:
https://bugs.launchpad.net/ubuntu/+bug/323622

oc (oc-rynning) wrote :
Download full text (5.2 KiB)

Even though I no longer get kernel panics from iwlagn, the bug is still not completely fixed. Once in a while I get these traces in my messages. Wireless is disabled, and modprobe -r && modprobe, nor rmmod or insmod will reload the iwlagn (nor cfg80211, iwlcore, mac80211, ...) module. A reboot is required to get wireless up and working again.

Hardware: HP Compaq 8710W, Core 2 Duo T7700 @ 2.40, 2gb ram, Mobile PM965/GM965/GL960 chipset, 82801H (ICH8) USB, Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61) wireless...

Kernel: Linux oc-laptop 2.6.28-7-generic #20-Ubuntu SMP Mon Feb 9 15:42:34 UTC 2009 x86_64 GNU/Linux
OS: Ubuntu Jaunty

Call trace:

Feb 14 19:20:51 oc-laptop kernel: [16006.397148] iwlagn/0: page allocation failure. order:4, mode:0x40d0
Feb 14 19:20:51 oc-laptop kernel: [16006.397150] Pid: 2266, comm: iwlagn/0 Tainted: P 2.6.28-7-generic #20-Ubuntu
Feb 14 19:20:51 oc-laptop kernel: [16006.397152] Call Trace:
Feb 14 19:20:51 oc-laptop kernel: [16006.397159] [<ffffffff802b38fe>] __alloc_pages_internal+0x3ee/0x500
Feb 14 19:20:51 oc-laptop kernel: [16006.397176] [<ffffffffa0971537>] ? iwl_tx_queue_init+0x57/0x180 [iwlcore]
Feb 14 19:20:51 oc-laptop kernel: [16006.397179] [<ffffffff802b3a8e>] __get_free_pages+0x1e/0x60
Feb 14 19:20:51 oc-laptop kernel: [16006.397185] [<ffffffffa096f8e9>] iwl_tx_queue_alloc+0x39/0x1a0 [iwlcore]
Feb 14 19:20:51 oc-laptop kernel: [16006.397191] [<ffffffffa09715a8>] iwl_tx_queue_init+0xc8/0x180 [iwlcore]
Feb 14 19:20:51 oc-laptop kernel: [16006.397198] [<ffffffffa09719ac>] iwl_txq_ctx_reset+0x18c/0x1e0 [iwlcore]
Feb 14 19:20:51 oc-laptop kernel: [16006.397204] [<ffffffffa096af8b>] iwl_hw_nic_init+0xfb/0x160 [iwlcore]
Feb 14 19:20:51 oc-laptop kernel: [16006.397212] [<ffffffffa098c10b>] __iwl4965_up+0xbb/0x2f0 [iwlagn]
Feb 14 19:20:51 oc-laptop kernel: [16006.397225] [<ffffffffa098c340>] ? iwl4965_bg_up+0x0/0x60 [iwlagn]
Feb 14 19:20:51 oc-laptop kernel: [16006.397230] [<ffffffffa098c379>] iwl4965_bg_up+0x39/0x60 [iwlagn]
Feb 14 19:20:51 oc-laptop kernel: [16006.397233] [<ffffffff8026127a>] run_workqueue+0xba/0x190
Feb 14 19:20:51 oc-laptop kernel: [16006.397235] [<ffffffff80261557>] worker_thread+0xa7/0x120
Feb 14 19:20:51 oc-laptop kernel: [16006.397238] [<ffffffff802658d0>] ? autoremove_wake_function+0x0/0x40
Feb 14 19:20:51 oc-laptop kernel: [16006.397240] [<ffffffff802614b0>] ? worker_thread+0x0/0x120
Feb 14 19:20:51 oc-laptop kernel: [16006.397242] [<ffffffff80265469>] kthread+0x49/0x90
Feb 14 19:20:51 oc-laptop kernel: [16006.397245] [<ffffffff80213979>] child_rip+0xa/0x11
Feb 14 19:20:51 oc-laptop kernel: [16006.397247] [<ffffffff80265420>] ? kthread+0x0/0x90
Feb 14 19:20:51 oc-laptop kernel: [16006.397249] [<ffffffff8021396f>] ? child_rip+0x0/0x11
Feb 14 19:20:51 oc-laptop kernel: [16006.397251] Mem-Info:
Feb 14 19:20:51 oc-laptop kernel: [16006.397252] DMA per-cpu:
Feb 14 19:20:51 oc-laptop kernel: [16006.397253] CPU 0: hi: 0, btch: 1 usd: 0
Feb 14 19:20:51 oc-laptop kernel: [16006.397254] CPU 1: hi: 0, btch: 1 usd: 0
Feb 14 19:20:51 oc-laptop kernel: [16006.397256] DMA32 per-cpu:
Feb 14 19:20:51 oc-laptop kernel...

Read more...

syko21 (syko21) wrote :

@oc
Since you no longer get kernel panics as a result of the iwlagn module I recommend submitting your findings as a separate bug report so it can be fixed instead of buried in a bug report that has already been marked fixed.

Please any admins/mods around can you please close this bug report. The fix has been released and the issue is documented in the release notes for Intrepid so people who do not know can still find the solution.

Tom Jaeger (thjaeger) wrote :

syko21 wrote:
> @oc
> Since you no longer get kernel panics as a result of the iwlagn module I recommend submitting your findings as a separate bug report so it can be fixed instead of buried in a bug report that has already been marked fixed.
>
> Please any admins/mods around can you please close this bug report. The
> fix has been released and the issue is documented in the release notes
> for Intrepid so people who do not know can still find the solution.
>

I've never been happy with that release notes (individual changes can
always be cherry-picked), but now that the fix is in the -updates
kernel, the release notes are plain incorrect.

Changed in ubuntu-release-notes:
status: Fix Released → New
Steve Langasek (vorlon) wrote :

This issue was documented in the 8.10 release notes; closing this task.

Changed in ubuntu-release-notes:
status: New → Fix Released
Joachim Dahl (jdahl) wrote :

Do you mean that it is fixed in the updates for Ubuntu 8.10? I still
experience frequent crashes
after installing all the proposed kernel updates for 8.10.

Steve Langasek skrev:
> This issue was documented in the 8.10 release notes; closing this task.
>
> ** Changed in: ubuntu-release-notes
> Status: New => Fix Released
>
>

Mackenzie Morgan (maco.m) wrote :

He only closed the release notes task.

Michael Rooney (mrooney) wrote :

On Thu, Mar 26, 2009 at 12:10 AM, JDahl wrote:

> Do you mean that it is fixed in the updates for Ubuntu 8.10?

No, Steve just means that it was addressed in the release notes so that
specific task for the release notes is done.

Rocko (rockorequin) wrote :

Is it possible that this is back in the Jaunty beta? Since I installed the 2.6.28-11#37 kernel (ie that ships with the beta) on the 25th March, I've had five kernel panics. Jaunty was rock solid for me with 2.6.28-11#36 and earlier.

I can't be sure what is causing the panics though because X is running, so everything freezes, the indicator lights (wlan, bluetooth etc) blink, and the keyboard no longer works. Since I'm in X, I can't see any console output.

syko21 (syko21) wrote :

I've been running a clean jaunty install since alpha 3, I can't confirm that this particular bug is back. What are you doing when the kernel panic presents?

Rocko (rockorequin) wrote :

In each of the kernel panics, I've been doing something different - it's not readily reproducible. The most surprising one happened sometime very early in the morning when the computer should have been idling, although it's possible it had decided to do an auto apt-get update or was updating the locate database. There's absolutely no information in the logs.

Geir Ove Myhr (gomyhr) wrote :

I don't think this particular bug is back. I had this problem with early intrepid, but I've been running updated Jaunty since February and have not had a crash yet.

Rocko, maybe you can switch to console (Ctrl+Alt+F1) whenever you leave the computer, so that if it panics during that time it will show the console output.

Winckler (winckler) wrote :

In the same way that Rocko reported, my kernel panics are back, since the beta release.

I'm using Jaunty since before alpha, and everything was ok. But now, I have a average of 2 kernel panics per day, all in different scenarios, but always with the wireless working. If I'm not using the wireless connection, it seems to not happen.

An other difference is that it happens in non-N networks. (I only had the initial bug in N networks.)

Also, I notice that many shutdowns gives me a kernel fault in the iwlang module. I will try to get a picture.

If anyone have any suggestions, please, let me know.

Rocko (rockorequin) wrote :

@Winckler: I've had some kernel panics while connected to a non-11n network as well. So I assume it's nothing to do with this 11n bug and I've opened a new bug for the panics, https://bugs.launchpad.net/ubuntu/+source/linux/+bug/348731, so perhaps you could add something about your system config there. There are also some suggestions on how to capture kernel output about the panic (not that easy since the whole system locks up).

Tim Gardner (timg-tpi) wrote :

2.6.27-8.17

  * iwlagn: downgrade BUG_ON in interrupt

Changed in linux (Ubuntu Intrepid):
assignee: Tim Gardner (timg-tpi) → nobody
status: Fix Committed → Fix Released
Yan (xujyan) on 2009-10-12
Changed in linux-backports-modules-2.6.27 (Ubuntu):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

Please do not reopen bugs without explanation.

Changed in linux-backports-modules-2.6.27 (Ubuntu):
status: Fix Committed → Fix Released
James Ward (jamesward) wrote :

I'm not seeing this bug anymore on karmic.

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug has been fixed in newer releases of Ubuntu.

Changed in linux-backports-modules-2.6.27 (Ubuntu Intrepid):
status: New → Invalid
Changed in linux:
importance: Unknown → Critical
Changed in mandriva:
importance: Unknown → High
Changed in mandriva:
status: In Progress → Unknown
Displaying first 40 and last 40 comments. View all 195 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.